﻿/* AUTH PAGES */
.auth-page-wrapper {
    position: absolute;
    inset: 0;
    overflow: hidden;
    background-color: #1c575d;

    .auth-page-content {
    position: relative;
    width: 480px;
    height: 100vh;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    background-color: #fff;
    padding: 32px;
    z-index: 1;

    .auth-page-header {
    width: 100%;
    display: flex;
    justify-content: space-between;
    align-items: center;

    .left, .right {
    width: min-content;
}

.logo {
    width: 120px;
}

}

.auth-main-content {
    height: max-content;

    .auth-page-title {
    font-size: 36px;
    width: 100%;
    text-align: center;
    margin-bottom: 32px;
}

.form-group {
    position: relative;
    border-radius: 6px;
    --text-indent: 4em;
    --input-height: 45px;

    .icon {
    position: absolute;
    z-index: 1;
    top: calc(var(--input-height) / 2);
    left: 16px;
    transform: translateY(-50%);
    color: #808080;
}

label {
    position: absolute;
    top: calc(var(--input-height) / 2);
    transform: translateY(-50%);
    left: var(--text-indent);
    display: none;
}

&:focus-within {
    .icon

{
    color: var(--color-brand-accent) !important;
}

}

&:has(.input-validation-error) .icon {
    color: var(--color-red) !important;
}

input.form-control {
    height: var(--input-height);
    width: 100%;
    border-radius: 4px !important;
    border: 1px solid #ced4da !important;
    background: #fff !important;
    text-indent: var(--text-indent);
    padding: 0 !important;
    display: block !important;

    &:focus {
    box-shadow: 0 0 4px 0 color-mix(in oklab, #fff 65%, var(--color-brand-accent));
    border-color: var(--color-brand-accent) !important;
}

&.input-validation-error:focus {
    border-color: var(--color-red) !important;
    box-shadow: 0 0 4px 0 color-mix(in oklab, #fff 65%, var(--color-red));
}

}

input.input-validation-error {
    border-color: var(--color-red) !important;
    box-shadow: 0 0 4px 0 color-mix(in oklab, #fff 65%, var(--color-red));
}

.field-validation-error {
    display: block;
    margin-top: 6px;
    font-size: 12px;
    color: var(--color-red);
}

}

.validation-summary-errors {
    margin-bottom: 16px;

    ul {
    display: block;
    list-style: none;
    margin: 0;
    padding: 0;
}

li {
    font-size: 13px;
    color: var(--color-red);
}

}

.btn-forgot-password {
    color: #808080;
    font-size: 12px;
    padding: 4px;
    border-radius: 4px;
    &:hover

{
    background-color: var(--button-bg-hover);
}

}

.btn-primary {
    box-sizing: border-box;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center !important;
    height: 45px;
    padding: 8px 16px;
    margin-top: 32px;
}

}

.auth-page-footer {
    display: flex;
    justify-content: flex-end;
    align-items: center;
    width: 100%;
    gap: 8px;
    .btn

{
    padding: 8px;
    width: max-content;
}

}
}

.auth-page-background {
    position: absolute;
    width: 100vw;
    height: 100vh;
    object-fit: cover;
    inset: 0;
    z-index: 0;
}
}
